import {
  useStepContext
} from "./chunk-YVFLN5OD.mjs";

// src/step-status.tsx
import { Fragment, jsx } from "react/jsx-runtime";
function StepStatus(props) {
  const { complete, incomplete, active } = props;
  const context = useStepContext();
  let render = null;
  switch (context.status) {
    case "complete":
      render = typeof complete === "function" ? complete(context) : complete;
      break;
    case "incomplete":
      render = typeof incomplete === "function" ? incomplete(context) : incomplete;
      break;
    case "active":
      render = typeof active === "function" ? active(context) : active;
      break;
  }
  return render ? /* @__PURE__ */ jsx(Fragment, { children: render }) : null;
}

export {
  StepStatus
};
